Subject: bug#4263: 23.1; initial point for vc-dir on wrong line

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Tue, 12 Jul 2011 23:15:14 +0200

Tom Tromey <[email-masked]> writes:

> I typed C-x v d to enter vc-dir.
> Point is initially at the beginning of the buffer.
> If I type "n", it confusingly moves to the second file in the listing.
> I think vc-dir would be less confusing if point started on the
> line corresponding to the first file.

Starting on any of the lines would be inconvenient, because subsequent
commands (like `v') would then work on that file only, which usually
isn't what you want.

I think the right fix here is to change `n' to go to the first line if
you're before the first line.  Does anybody have any objections to that
change? 

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/